Publicidade

quarta-feira, 21 de dezembro de 2016

Projeto Fedora anuncia a liberação do Gerenciador de Pacotes DNF 2.0.0 para Fedora.


 O DNF-PLUGINS-CORE 1.0.0 também foi lançado

O desenvolvedor de longa data da Fedora, Michael Mráka, anunciou com orgulho hoje, 20 de dezembro de 2016, o lançamento oficial e disponibilidade geral do gerenciador de pacotes DNF 2.0.0 para o sistema operacional Fedora Linux.

Depois de estar em desenvolvimento nos últimos dois meses e meio, DNF 2.0.0 e DNF-PLUGINS-CORE 1.0.0 aterraram esta manhã nos repositórios estáveis ​​do Fedora 25, fornecendo aos usuários da distribuição Linux baseada em RPM com o próximo -geração do sistema de gerenciamento de pacotes e suíte de plugins.
 
Como esperado, o DNF 2.0.0 é uma versão importante que promete melhorar a experiência do usuário dos usuários do Fedora Linux ao atualizar ou atualizar suas instalações, bem como ao remover pacotes do sistema instalado ou fazer qualquer outra tarefa administrativa que exija o uso de O gerenciador de pacotes DNF.
 

"O próximo lançamento de versão principal do DNF traz muitas melhorias na experiência do usuário, como mensagens de relatórios de problemas de dependência, dependências fracas mostradas no resumo da transação, uso de ajuda mais intuitivo e outros. O plugin Repoquery foi transferido para o próprio DNF", disse Michael Mráka, de hoje no anúncio .


O DNF 2.0.0 foca em melhorar a compatibilidade do YUM

Antes do DNF, havia o YUM, o gerenciador de pacotes bem conhecido que estava disponível por padrão em todas as distribuições baseadas em RPM GNU / Linux. Alguns anos atrás, a necessidade de um novo sistema tornou-se muito aparente, e DNF nasceu. Agora, na versão 2.0, o sistema de gerenciamento de pacotes pode ser considerado maduro e confiável.
 
O DNF 2.0.0 trata de mais de 60 bugs relatados pelos usuários desde a última compilação da série estável 1.1.x, e se concentrou em melhorar a compatibilidade com o antigo gerenciador de pacotes YUM, como lidar com suas opções de configuração, incluindo "includepkgs , "" Excluir "e" incluir ".
A má notícia é que o DNF 2.0.0 ainda não é totalmente compatível com a série DNF-1. Portanto, recomendamos que você estude a lista de incompatibilidades entre DNF-1 e DNF-2 antes de tentar atualizar para DNF 2.0 no Fedora Linux OS. DNF plugin autores precisam verificar a compatibilidade com o novo DNF argumento analisador.

Fonte

Até a próxima!!!